package com.olmedos.controler;

import com.olmedos.dao.CiudadDao;
import com.olmedos.dao.PersonDao;
import com.olmedos.entidad.Ciudad;
import com.olmedos.entidad.Person;

/**
 *
 * @author leito
 */
public class CiudadControlador {

    public void alta(Ciudad ciudad) {

        new CiudadDao().save(ciudad);

    }

    public Ciudad devolverCiudadXId(long id) {

        Ciudad respuesta = (Ciudad) new CiudadDao().getById(id);
        
        return respuesta;
        
    }

    public void alta(Person persona) {

        new PersonDao().save(persona);

    }
    
    public Person devolverPersonXId(long id) {

        Person respuesta = (Person) new PersonDao().getById(id);
        
        return respuesta;
        
    } 
    
}
